Bug 1339470 - Review Request: perl-Tie-Hash-ReadonlyStack - Treat multiple hashes as a single hash with copy-on-write modifications
Summary: Review Request: perl-Tie-Hash-ReadonlyStack - Treat multiple hashes as a sing...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 06:31 UTC by Petr Pisar
Modified: 2016-05-31 06:17 UTC (History)
2 users (show)

Fixed In Version: perl-Tie-Hash-ReadonlyStack-0.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 06:17:01 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-05-25 06:31:57 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Tie-Hash-ReadonlyStack/perl-Tie-Hash-ReadonlyStack.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Tie-Hash-ReadonlyStack/perl-Tie-Hash-ReadonlyStack-0.2-1.fc25.src.rpm
Description:
This Perl module allows you to have your main hash and then assign hashes to
look for the given key in either before or after the main hash. It also allows
you to use hashes that are read-only in said stack and then assign new values
there without modifying the hashes they came from.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-05-30 12:43:56 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Tie-Hash-ReadonlyStack-0.2-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Tie-Hash-ReadonlyStack-0.2-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(Tie::Hash::ReadonlyStack) = 0.2
      1 perl-Tie-Hash-ReadonlyStack = 0.2-1.fc25
Binary provides are Ok.

$ rpmlint ./perl-Tie-Hash-ReadonlyStack*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2016-05-30 16:13:21 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Tie-Hash-ReadonlyStack

Comment 3 Petr Pisar 2016-05-31 06:17:01 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.